#ifndef AVS_WIN_CB_H
#define AVS_WIN_CB_H

#include <gtk/gtk.h>
#include "avs_win.h"


extern void avs_win_scan_list_item_destroy_cb(gpointer data);
extern void avs_win_results_list_item_destroy_cb(gpointer data);

extern gint avs_win_event_cb(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern gint avs_win_op_enter_event_cb(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint avs_win_op_leave_event_cb(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void avs_win_tool_bar_item_cb(
	ToolBarItem *item, gint id, gpointer data
);
extern void avs_win_tool_bar_item_enter_cb(
	ToolBarItem *item, gint id, gpointer data
);
extern void avs_win_tool_bar_item_leave_cb(
	ToolBarItem *item, gint id, gpointer data
);

extern void avs_win_notebook_switch_page_cb(
        GtkNotebook *notebook, GtkNotebookPage *page, guint page_num,
        gpointer data
);

extern void avs_win_location_entry_changed_cb(GtkWidget *widget, gpointer data);
extern gint avs_win_entry_complete_path_key_event_cb(
        GtkWidget *widget, GdkEventKey *key, gpointer data
);

extern gint avs_win_list_event_cb(GtkWidget *widget, GdkEvent *event, gpointer data);

extern void WinListResizeColumnCB(
	GtkCList *clist, gint column, gint width, gpointer data
);
extern void avs_win_list_click_column_cb(
	GtkCList *clist, gint column, gpointer data 
);
extern void avs_win_list_select_row_cb(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void avs_win_list_unselect_row_cb(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data                                           
);

extern void avs_win_tree_select_row_cb(
        GtkCTree *ctree, GtkCTreeNode *node, gint column,
        gpointer data
);
extern void avs_win_tree_unselect_row_cb(
        GtkCTree *ctree, GtkCTreeNode *node, gint column,
        gpointer data
);
extern void avs_win_tree_expand_cb(
        GtkCTree *ctree, GtkCTreeNode *node, gpointer data
);
extern void avs_win_tree_collapse_cb(
        GtkCTree *ctree, GtkCTreeNode *node, gpointer data
);


#endif	/* AVS_WIN_CB_H */
