#ifndef AVS_WIN_OP_CB_H
#define AVS_WIN_OP_CB_H

#include <gtk/gtk.h>
#include "avs_win.h"


extern void WinCloseCB(GtkWidget *widget, gpointer data);
extern void WinExitCB(GtkWidget *widget, gpointer data);

extern void WinAddCB(GtkWidget *widget, gpointer data);
extern void WinEditCB(GtkWidget *widget, gpointer data);
extern void WinRemoveCB(GtkWidget *widget, gpointer data);
extern void WinCutCB(GtkWidget *widget, gpointer data);
extern void WinCopyCB(GtkWidget *widget, gpointer data);
extern void WinPasteCB(GtkWidget *widget, gpointer data);
extern void WinSelectAllCB(GtkWidget *widget, gpointer data);
extern void WinUnselectAllCB(GtkWidget *widget, gpointer data);
extern void WinInvertSelectionCB(GtkWidget *widget, gpointer data);

extern void WinStartCB(GtkWidget *widget, gpointer data);
extern void WinStopCB(GtkWidget *widget, gpointer data);
extern void WinPauseResumeCB(GtkWidget *widget, gpointer data);
extern void WinLocationCB(GtkWidget *widget, gpointer data);
extern void WinRecursiveCB(GtkWidget *widget, gpointer data);
extern void WinExecutablesOnlyCB(GtkWidget *widget, gpointer data);
extern void WinIgnoreLinksCB(GtkWidget *widget, gpointer data);
extern void WinScannerSettingsCB(GtkWidget *widget, gpointer data);

extern void WinResultsRecycleCB(GtkWidget *widget, gpointer data);
extern void WinResultsMoveCB(GtkWidget *widget, gpointer data);
extern void WinResultsSelectAllCB(GtkWidget *widget, gpointer data);
extern void WinResultsUnselectAllCB(GtkWidget *widget, gpointer data);
extern void WinResultsInvertSelectionCB(GtkWidget *widget, gpointer data);
extern void WinResultsReportCB(GtkWidget *widget, gpointer data);
extern void WinResultsOpenCB(GtkWidget *widget, gpointer data);
extern void WinResultsSaveAsCB(GtkWidget *widget, gpointer data);
extern void WinResultsClearCB(GtkWidget *widget, gpointer data);

extern void WinDBRefreshCB(GtkWidget *widget, gpointer data);
extern void WinDBLocationCB(GtkWidget *widget, gpointer data);
extern void avs_win_db_updateNetCB(GtkWidget *widget, gpointer data);

extern void WinRefreshCB(GtkWidget *widget, gpointer data);
extern void WinViewScanPageCB(GtkWidget *widget, gpointer data);
extern void WinViewResultsPageCB(GtkWidget *widget, gpointer data);
extern void WinViewDBPageCB(GtkWidget *widget, gpointer data);
extern void WinViewToolBarCB(GtkWidget *widget, gpointer data);
extern void WinViewStatusBarCB(GtkWidget *widget, gpointer data);

extern void WinHelpContentsCB(GtkWidget *widget, gpointer data);
extern void WinHelpScanningCB(GtkWidget *widget, gpointer data);
extern void WinHelpUpdatingCB(GtkWidget *widget, gpointer data);
extern void WinHelpAboutCB(GtkWidget *widget, gpointer data);


#endif	/* AVS_WIN_OP_CB_H */
